[tools] master update

tomas at openssl.org tomas at openssl.org
Mon Nov 22 14:26:24 UTC 2021


The branch master has been updated
       via  be4668a589f159422522dc2619fd1a7bd8dea589 (commit)
      from  744aefc2c80dbc3bd311cde0e5b75930b1da7381 (commit)


- Log -----------------------------------------------------------------
commit be4668a589f159422522dc2619fd1a7bd8dea589
Author: Dr. David von Oheimb <David.von.Oheimb at siemens.com>
Date:   Wed Nov 17 14:38:19 2021 +0100

    pick-to-branch: Improve fix of behavior on failed cherry-pick
    
    Reviewed-by: Paul Dale <pauli at openssl.org>
    Reviewed-by: Tomas Mraz <tomas at openssl.org>
    (Merged from https://github.com/openssl/tools/pull/99)

-----------------------------------------------------------------------

Summary of changes:
 review-tools/pick-to-branch | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/review-tools/pick-to-branch b/review-tools/pick-to-branch
index 18a25e5..ac4176a 100755
--- a/review-tools/pick-to-branch
+++ b/review-tools/pick-to-branch
@@ -84,6 +84,9 @@ function cleanup {
     rv=$?
     echo # make sure to enter new line, needed, e.g., after Ctrl-C
     [ $rv -ne 0 ] && echo -e "pick-to-branch failed"
+    if [ "$CHERRYPICKING" == 1 ] ; then
+        git cherry-pick --abort 2>/dev/null || true
+    fi
     if [ "$branch" != "$ORIG_REF" ]; then
         echo Returning to previous branch $ORIG_REF
         git checkout -q $ORIG_REF
@@ -98,7 +101,9 @@ trap 'cleanup' EXIT
 git checkout --quiet master
 git checkout $branch
 git pull --ff-only
+CHERRYPICKING=1
 git cherry-pick -e -x $id || (git cherry-pick --abort; exit 1)
+CHERRYPICKING=
 
 while true
 do


More information about the openssl-commits mailing list